Error while trying to do a system upgrade

Hello, im getting this error while trying to do a system upgrade:

Im running Fedora KDE, with x11 workspace installed
Anyone knows how to fix it?

Hello, I encounter the same error.

Upgrade from Plasma 6.0.5 to 6.1 was downloaded but did not trigger on restart, attempts to upgrade manually via DNF gets me this

Last metadata expiration check: 0:13:49 ago on Thu Jun 20 09:30:42 2024.
Dependencies resolved.

 Problem 1: package kwin-x11-6.0.5-1.fc40.x86_64 from @System requires kwin-common(x86-64) = 6.0.5, but none of the providers can be installed
  - cannot install both kwin-common-6.1.0-3.fc40.x86_64 from updates and kwin-common-6.0.5-3.fc40.x86_64 from @System
  - cannot install the best update candidate for package kwin-x11-6.0.5-1.fc40.x86_64
  - cannot install the best update candidate for package kwin-common-6.0.5-3.fc40.x86_64
 Problem 2: package plasma-workspace-x11-6.0.5.1-1.fc40.x86_64 from @System requires plasma-workspace = 6.0.5.1, but none of the providers can be installed
  - cannot install both plasma-workspace-6.1.0-3.fc40.x86_64 from updates and plasma-workspace-6.0.5.1-2.fc40.x86_64 from @System
  - cannot install the best update candidate for package plasma-workspace-x11-6.0.5.1-1.fc40.x86_64
  - cannot install the best update candidate for package plasma-workspace-6.0.5.1-2.fc40.x86_64
 Problem 3: problem with installed package kwin-x11-6.0.5-1.fc40.x86_64
  - package kwin-x11-6.0.5-1.fc40.x86_64 from @System requires kwin-libs(x86-64) = 6.0.5, but none of the providers can be installed
  - package kwin-x11-6.0.5-1.fc40.x86_64 from updates requires kwin-libs(x86-64) = 6.0.5, but none of the providers can be installed
  - cannot install both kwin-libs-6.1.0-3.fc40.x86_64 from updates and kwin-libs-6.0.5-3.fc40.x86_64 from @System
  - cannot install the best update candidate for package kwin-libs-6.0.5-3.fc40.x86_64
 Problem 4: problem with installed package plasma-workspace-x11-6.0.5.1-1.fc40.x86_64
  - package plasma-workspace-x11-6.0.5.1-1.fc40.x86_64 from @System requires plasma-workspace = 6.0.5.1, but none of the providers can be installed
  - package plasma-workspace-x11-6.0.5.1-1.fc40.x86_64 from updates requires plasma-workspace = 6.0.5.1, but none of the providers can be installed
  - package plasma-workspace-6.0.5.1-2.fc40.x86_64 from @System requires libkworkspace6(x86-64) = 6.0.5.1-2.fc40, but none of the providers can be installed
  - cannot install both libkworkspace6-6.1.0-3.fc40.x86_64 from updates and libkworkspace6-6.0.5.1-2.fc40.x86_64 from @System
  - cannot install the best update candidate for package libkworkspace6-6.0.5.1-2.fc40.x86_64
===============================================================================================================================
 Package                                            Architecture      Version                         Repository          Size
===============================================================================================================================
Upgrading:
 blender                                            x86_64            1:4.1.1-7.fc40                  updates             67 M
 bluedevil                                          x86_64            6.1.0-1.fc40                    updates            630 k
 breeze-cursor-theme                                noarch            6.1.0-1.fc40                    updates            1.3 M
 breeze-gtk-common                                  noarch            6.1.0-1.fc40                    updates            315 k
 breeze-gtk-gtk2                                    noarch            6.1.0-1.fc40                    updates             23 k
 breeze-gtk-gtk3                                    noarch            6.1.0-1.fc40                    updates             29 k
 breeze-gtk-gtk4                                    noarch            6.1.0-1.fc40                    updates             27 k
 flatpak-kcm                                        x86_64            6.1.0-1.fc40                    updates            162 k
 glib2                                              i686              2.80.3-1.fc40                   updates            3.1 M
 glib2                                              x86_64            2.80.3-1.fc40                   updates            3.0 M
 kactivitymanagerd                                  x86_64            6.1.0-1.fc40                    updates            307 k
 kde-gtk-config                                     x86_64            6.1.0-1.fc40                    updates            129 k
 kdecoration                                        x86_64            6.1.0-1.fc40                    updates            113 k
 kdeplasma-addons                                   x86_64            6.1.0-1.fc40                    updates            1.9 M
 kglobalacceld                                      x86_64            6.1.0-1.fc40                    updates            139 k
 kinfocenter                                        x86_64            6.1.0-1.fc40                    updates            1.0 M
 kmenuedit                                          x86_64            6.1.0-1.fc40                    updates            1.1 M
 kpipewire                                          x86_64            6.1.0-1.fc40                    updates            190 k
 kscreen                                            x86_64            1:6.1.0-1.fc40                  updates            415 k
 kscreenlocker                                      x86_64            6.1.0-1.fc40                    updates            324 k
 ksshaskpass                                        x86_64            6.1.0-1.fc40                    updates             67 k
 ksystemstats                                       x86_64            6.1.0-1.fc40                    updates            319 k
 kwayland                                           x86_64            6.1.0-1.fc40                    updates            232 k
 kwayland-integration                               x86_64            6.1.0-1.fc40                    updates             69 k
 kwrited                                            x86_64            6.1.0-1.fc40                    updates             41 k
 layer-shell-qt                                     x86_64            6.1.0-1.fc40                    updates             72 k
 libkscreen                                         x86_64            6.1.0-1.fc40                    updates            349 k
 libksysguard                                       x86_64            6.1.0-1.fc40                    updates            761 k
 libksysguard-common                                x86_64            6.1.0-1.fc40                    updates             58 k
 libplasma                                          x86_64            6.1.0-1.fc40                    updates            2.4 M
 mingw32-libgcc                                     x86_64            14.1.1-3.fc40                   updates            382 k
 mingw32-libstdc++                                  x86_64            14.1.1-3.fc40                   updates            5.7 M
 mingw64-libgcc                                     x86_64            14.1.1-3.fc40                   updates            317 k
 mingw64-libstdc++                                  x86_64            14.1.1-3.fc40                   updates            5.8 M
 ocean-sound-theme                                  noarch            6.1.0-1.fc40                    updates            1.1 M
 openvdb-libs                                       x86_64            11.0.0-11.fc40                  updates            4.2 M
 pam-kwallet                                        x86_64            6.1.0-1.fc40                    updates             23 k
 pango                                              i686              1.54.0-1.fc40                   updates            364 k
 pango                                              x86_64            1.54.0-1.fc40                   updates            347 k
 pipewire                                           i686              1.0.7-2.fc40                    updates            123 k
 pipewire                                           x86_64            1.0.7-2.fc40                    updates            123 k
 pipewire-alsa                                      i686              1.0.7-2.fc40                    updates             59 k
 pipewire-alsa                                      x86_64            1.0.7-2.fc40                    updates             57 k
 pipewire-gstreamer                                 x86_64            1.0.7-2.fc40                    updates             65 k
 pipewire-jack-audio-connection-kit                 x86_64            1.0.7-2.fc40                    updates             16 k
 pipewire-jack-audio-connection-kit-libs            x86_64            1.0.7-2.fc40                    updates            134 k
 pipewire-libs                                      i686              1.0.7-2.fc40                    updates            1.9 M
 pipewire-libs                                      x86_64            1.0.7-2.fc40                    updates            1.8 M
 pipewire-pulseaudio                                x86_64            1.0.7-2.fc40                    updates            198 k
 pipewire-utils                                     x86_64            1.0.7-2.fc40                    updates            335 k
 plasma-activities                                  x86_64            6.1.0-1.fc40                    updates            156 k
 plasma-activities-stats                            x86_64            6.1.0-1.fc40                    updates            120 k
 plasma-breeze                                      x86_64            6.1.0-1.fc40                    updates            264 k
 plasma-breeze-common                               noarch            6.1.0-1.fc40                    updates             49 M
 plasma-breeze-qt5                                  x86_64            6.1.0-1.fc40                    updates            202 k
 plasma-breeze-qt6                                  x86_64            6.1.0-1.fc40                    updates            227 k
 plasma-browser-integration                         x86_64            6.1.0-1.fc40                    updates            222 k
 plasma-desktop                                     x86_64            6.1.0-3.fc40                    updates             12 M
 plasma-desktop-doc                                 noarch            6.1.0-3.fc40                    updates            4.7 M
 plasma-discover                                    x86_64            6.1.0-1.fc40                    updates            454 k
 plasma-discover-flatpak                            x86_64            6.1.0-1.fc40                    updates            225 k
 plasma-discover-libs                               x86_64            6.1.0-1.fc40                    updates            716 k
 plasma-discover-notifier                           x86_64            6.1.0-1.fc40                    updates            101 k
 plasma-discover-offline-updates                    x86_64            6.1.0-1.fc40                    updates             12 k
 plasma-discover-packagekit                         x86_64            6.1.0-1.fc40                    updates            212 k
 plasma-disks                                       x86_64            6.1.0-1.fc40                    updates            213 k
 plasma-drkonqi                                     x86_64            6.1.0-1.fc40                    updates            765 k
 plasma-integration                                 x86_64            6.1.0-1.fc40                    updates            208 k
 plasma-integration-qt5                             x86_64            6.1.0-1.fc40                    updates            146 k
 plasma-milou                                       x86_64            6.1.0-1.fc40                    updates            148 k
 plasma-nm                                          x86_64            6.1.0-1.fc40                    updates            1.1 M
 plasma-nm-l2tp                                     x86_64            6.1.0-1.fc40                    updates            156 k
 plasma-nm-openconnect                              x86_64            6.1.0-1.fc40                    updates            183 k
 plasma-nm-openswan                                 x86_64            6.1.0-1.fc40                    updates             68 k
 plasma-nm-openvpn                                  x86_64            6.1.0-1.fc40                    updates            229 k
 plasma-nm-pptp                                     x86_64            6.1.0-1.fc40                    updates            100 k
 plasma-nm-vpnc                                     x86_64            6.1.0-1.fc40                    updates            116 k
 plasma-pa                                          x86_64            6.1.0-1.fc40                    updates            358 k
 plasma-print-manager                               x86_64            6.1.0-1.fc40                    updates            524 k
 plasma-print-manager-libs                          x86_64            6.1.0-1.fc40                    updates            198 k
 plasma-systemmonitor                               x86_64            6.1.0-1.fc40                    updates            532 k
 plasma-systemsettings                              x86_64            6.1.0-1.fc40                    updates            436 k
 plasma-thunderbolt                                 x86_64            6.1.0-1.fc40                    updates            202 k
 plasma-vault                                       x86_64            6.1.0-1.fc40                    updates            423 k
 plasma-welcome                                     x86_64            6.1.0-1.fc40                    updates            790 k
 plasma-workspace-wallpapers                        noarch            6.1.0-1.fc40                    updates             96 M
 plasma5support                                     x86_64            6.1.0-1.fc40                    updates            221 k
 plymouth                                           x86_64            24.004.60-12.fc40               updates            126 k
 plymouth-core-libs                                 x86_64            24.004.60-12.fc40               updates            118 k
 plymouth-graphics-libs                             x86_64            24.004.60-12.fc40               updates             62 k
 plymouth-plugin-label                              x86_64            24.004.60-12.fc40               updates             26 k
 plymouth-plugin-two-step                           x86_64            24.004.60-12.fc40               updates             33 k
 plymouth-scripts                                   x86_64            24.004.60-12.fc40               updates             18 k
 plymouth-system-theme                              x86_64            24.004.60-12.fc40               updates            9.3 k
 plymouth-theme-spinner                             x86_64            24.004.60-12.fc40               updates            188 k
 polkit-kde                                         x86_64            6.1.0-1.fc40                    updates            112 k
 powerdevil                                         x86_64            6.1.0-1.fc40                    updates            1.2 M
 python3-boto3                                      noarch            1.34.128-1.fc40                 updates            380 k
 python3-botocore                                   noarch            1.34.128-1.fc40                 updates            7.1 M
 qqc2-breeze-style                                  x86_64            6.1.0-1.fc40                    updates            458 k
 ruby                                               x86_64            3.3.2-9.fc40                    updates             39 k
 ruby-default-gems                                  noarch            3.3.2-9.fc40                    updates             47 k
 ruby-devel                                         x86_64            3.3.2-9.fc40                    updates            322 k
 ruby-libs                                          x86_64            3.3.2-9.fc40                    updates            4.0 M
 rubygem-bigdecimal                                 x86_64            3.1.5-9.fc40                    updates             68 k
 rubygem-bundler                                    noarch            2.5.9-9.fc40                    updates            447 k
 rubygem-io-console                                 x86_64            0.7.1-9.fc40                    updates             24 k
 rubygem-irb                                        noarch            1.13.1-9.fc40                   updates            110 k
 rubygem-psych                                      x86_64            5.1.2-9.fc40                    updates             57 k
 rubygem-rdoc                                       noarch            6.6.3.1-9.fc40                  updates            492 k
 rubygems                                           noarch            3.5.9-9.fc40                    updates            390 k
 sddm-kcm                                           x86_64            6.1.0-1.fc40                    updates            193 k
 sddm-wayland-plasma                                noarch            6.1.0-3.fc40                    updates             17 k
 xdg-desktop-portal-kde                             x86_64            6.1.0-1.fc40                    updates            477 k
Skipping packages with conflicts:
(add '--best --allowerasing' to command line to force their upgrade):
 kwin-common                                        x86_64            6.1.0-3.fc40                    updates            3.6 M
 kwin-libs                                          x86_64            6.1.0-3.fc40                    updates            2.2 M
 libkworkspace6                                     x86_64            6.1.0-3.fc40                    updates            145 k
 plasma-workspace                                   x86_64            6.1.0-3.fc40                    updates             16 M

Transaction Summary
===============================================================================================================================
Upgrade  114 Packages
Skip       4 Packages

Total download size: 297 M
Is this ok [y/N]: y
Downloading Packages:
[...]
------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------
Total                                                                                                                                                            50 MB/s | 297 MB     00:05     
Running transaction check
Transaction check succeeded.
Running transaction test
The downloaded packages were saved in cache until the next successful transaction.
You can remove cached packages by executing 'dnf clean packages'.
Error: Transaction test error:
  file /usr/share/locale/ar/LC_MESSAGES/plasma_engine_devicenotifications.mo from install of plasma5support-6.1.0-1.fc40.x86_64 conflicts with file from package plasma-workspace-6.0.5.1-2.fc40.x86_64
  file /usr/share/locale/ar/LC_MESSAGES/plasma_engine_keystate.mo from install of plasma5support-6.1.0-1.fc40.x86_64 conflicts with file from package plasma-workspace-6.0.5.1-2.fc40.x86_64
  file /usr/share/locale/ast/LC_MESSAGES/plasma_engine_devicenotifications.mo from install of plasma5support-6.1.0-1.fc40.x86_64 conflicts with file from package plasma-workspace-6.0.5.1-2.fc40.x86_64
  file /usr/share/locale/bg/LC_MESSAGES/plasma_engine_devicenotifications.mo from install of plasma5support-6.1.0-1.fc40.x86_64 conflicts with file from package plasma-workspace-6.0.5.1-2.fc40.x86_64
  file /usr/share/locale/ca/LC_MESSAGES/plasma_engine_devicenotifications.mo from install of plasma5support-6.1.0-1.fc40.x86_64 conflicts with file from package plasma-workspace-6.0.5.1-2.fc40.x86_64
  file /usr/share/locale/ca/LC_MESSAGES/plasma_engine_keystate.mo from install of plasma5support-6.1.0-1.fc40.x86_64 conflicts with file from package plasma-workspace-6.0.5.1-2.fc40.x86_64
  file /usr/share/locale/ca@valencia/LC_MESSAGES/plasma_engine_devicenotifications.mo from install of plasma5support-6.1.0-1.fc40.x86_64 conflicts with file from package plasma-workspace-6.0.5.1-2.fc40.x86_64
  file /usr/share/locale/ca@valencia/LC_MESSAGES/plasma_engine_keystate.mo from install of plasma5support-6.1.0-1.fc40.x86_64 conflicts with file from package plasma-workspace-6.0.5.1-2.fc40.x86_64
  file /usr/share/locale/cs/LC_MESSAGES/plasma_engine_devicenotifications.mo from install of plasma5support-6.1.0-1.fc40.x86_64 conflicts with file from package plasma-workspace-6.0.5.1-2.fc40.x86_64
  file /usr/share/locale/en_GB/LC_MESSAGES/plasma_engine_devicenotifications.mo from install of plasma5support-6.1.0-1.fc40.x86_64 conflicts with file from package plasma-workspace-6.0.5.1-2.fc40.x86_64
  file /usr/share/locale/eo/LC_MESSAGES/plasma_engine_devicenotifications.mo from install of plasma5support-6.1.0-1.fc40.x86_64 conflicts with file from package plasma-workspace-6.0.5.1-2.fc40.x86_64
  file /usr/share/locale/es/LC_MESSAGES/plasma_engine_devicenotifications.mo from install of plasma5support-6.1.0-1.fc40.x86_64 conflicts with file from package plasma-workspace-6.0.5.1-2.fc40.x86_64
  file /usr/share/locale/eu/LC_MESSAGES/plasma_engine_devicenotifications.mo from install of plasma5support-6.1.0-1.fc40.x86_64 conflicts with file from package plasma-workspace-6.0.5.1-2.fc40.x86_64
  file /usr/share/locale/fr/LC_MESSAGES/plasma_engine_devicenotifications.mo from install of plasma5support-6.1.0-1.fc40.x86_64 conflicts with file from package plasma-workspace-6.0.5.1-2.fc40.x86_64
  file /usr/share/locale/he/LC_MESSAGES/plasma_engine_devicenotifications.mo from install of plasma5support-6.1.0-1.fc40.x86_64 conflicts with file from package plasma-workspace-6.0.5.1-2.fc40.x86_64
  file /usr/share/locale/hu/LC_MESSAGES/plasma_engine_devicenotifications.mo from install of plasma5support-6.1.0-1.fc40.x86_64 conflicts with file from package plasma-workspace-6.0.5.1-2.fc40.x86_64
  file /usr/share/locale/ia/LC_MESSAGES/plasma_engine_devicenotifications.mo from install of plasma5support-6.1.0-1.fc40.x86_64 conflicts with file from package plasma-workspace-6.0.5.1-2.fc40.x86_64
  file /usr/share/locale/is/LC_MESSAGES/plasma_engine_devicenotifications.mo from install of plasma5support-6.1.0-1.fc40.x86_64 conflicts with file from package plasma-workspace-6.0.5.1-2.fc40.x86_64
  file /usr/share/locale/it/LC_MESSAGES/plasma_engine_devicenotifications.mo from install of plasma5support-6.1.0-1.fc40.x86_64 conflicts with file from package plasma-workspace-6.0.5.1-2.fc40.x86_64
  file /usr/share/locale/ka/LC_MESSAGES/plasma_engine_devicenotifications.mo from install of plasma5support-6.1.0-1.fc40.x86_64
 conflicts with file from package plasma-workspace-6.0.5.1-2.fc40.x86_64
  file /usr/share/locale/lt/LC_MESSAGES/plasma_engine_devicenotifications.mo from install of plasma5support-6.1.0-1.fc40.x86_64 conflicts with file from package plasma-workspace-6.0.5.1-2.fc40.x86_64
  file /usr/share/locale/lv/LC_MESSAGES/plasma_engine_devicenotifications.mo from install of plasma5support-6.1.0-1.fc40.x86_64 conflicts with file from package plasma-workspace-6.0.5.1-2.fc40.x86_64
  file /usr/share/locale/nl/LC_MESSAGES/plasma_engine_devicenotifications.mo from install of plasma5support-6.1.0-1.fc40.x86_64 conflicts with file from package plasma-workspace-6.0.5.1-2.fc40.x86_64
  file /usr/share/locale/pl/LC_MESSAGES/plasma_engine_devicenotifications.mo from install of plasma5support-6.1.0-1.fc40.x86_64 conflicts with file from package plasma-workspace-6.0.5.1-2.fc40.x86_64
  file /usr/share/locale/pl/LC_MESSAGES/plasma_engine_keystate.mo from install of plasma5support-6.1.0-1.fc40.x86_64 conflicts with file from package plasma-workspace-6.0.5.1-2.fc40.x86_64
  file /usr/share/locale/ro/LC_MESSAGES/plasma_engine_keystate.mo from install of plasma5support-6.1.0-1.fc40.x86_64 conflicts with file from package plasma-workspace-6.0.5.1-2.fc40.x86_64
  file /usr/share/locale/ru/LC_MESSAGES/plasma_engine_devicenotifications.mo from install of plasma5support-6.1.0-1.fc40.x86_64 conflicts with file from package plasma-workspace-6.0.5.1-2.fc40.x86_64
  file /usr/share/locale/sl/LC_MESSAGES/plasma_engine_devicenotifications.mo from install of plasma5support-6.1.0-1.fc40.x86_64 conflicts with file from package plasma-workspace-6.0.5.1-2.fc40.x86_64
  file /usr/share/locale/sv/LC_MESSAGES/plasma_engine_keystate.mo from install of plasma5support-6.1.0-1.fc40.x86_64 conflicts with file from package plasma-workspace-6.0.5.1-2.fc40.x86_64
  file /usr/share/locale/ta/LC_MESSAGES/plasma_engine_devicenotifications.mo from install of plasma5support-6.1.0-1.fc40.x86_64 conflicts with file from package plasma-workspace-6.0.5.1-2.fc40.x86_64
  file /usr/share/locale/tr/LC_MESSAGES/plasma_engine_devicenotifications.mo from install of plasma5support-6.1.0-1.fc40.x86_64 conflicts with file from package plasma-workspace-6.0.5.1-2.fc40.x86_64
  file /usr/share/locale/uk/LC_MESSAGES/plasma_engine_devicenotifications.mo from install of plasma5support-6.1.0-1.fc40.x86_64 conflicts with file from package plasma-workspace-6.0.5.1-2.fc40.x86_64
  file /usr/share/locale/zh_CN/LC_MESSAGES/plasma_engine_devicenotifications.mo from install of plasma5support-6.1.0-1.fc40.x86_64 conflicts with file from package plasma-workspace-6.0.5.1-2.fc40.x86_64
  file /usr/share/locale/zh_CN/LC_MESSAGES/plasma_engine_keystate.mo from install of plasma5support-6.1.0-1.fc40.x86_64 conflicts with file from package plasma-workspace-6.0.5.1-2.fc40.x86_64
  file /usr/share/locale/zh_TW/LC_MESSAGES/plasma_engine_devicenotifications.mo from install of plasma5support-6.1.0-1.fc40.x86_64 conflicts with file from package plasma-workspace-6.0.5.1-2.fc40.x86_64

Please don’t use 3rd party sites that require readers to allow cookies.
The content is not available with web searches so won’t help others with similar problems find this topic.

Please extract the key lines from error reports and post as pre-formatted text using the </> button from the top line of the text entry panel. It is helpful to have the output from running inxi -Fzxx in a terminal. This helps us solve your issue and is also easily discovered with web searches by others with similar hardware and issues.

You need to wait for a while until plasma-workspace-x11 6.1.0 version is available for Fedora 40.

This version is maintained by individual Fedora packagers and NOT supported by
the Fedora KDE SIG.

https://bugzilla.redhat.com/show_bug.cgi?id=2293204

4 Likes

This just hit me too today. I guess we’re just going to have to wait.

Test builds should appear first and user feedback is needed for the release decision.

It looks as if this is already fixed. I was able to update.

1 Like